> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View Entity Details

> Retrieves details of an entity for editing,
     *          including its profile, fields, sponsors, donations, and more.



## OpenAPI

````yaml get /admin/program/entities/{id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/program/entities/{id}:
    get:
      tags:
        - Entities
      summary: View Entity Details
      description: |-
        Retrieves details of an entity for editing,
             *          including its profile, fields, sponsors, donations, and more.
      operationId: editEntity
      parameters:
        - name: id
          in: path
          description: Entity ID of the entity to edit
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Entity edit details fetched successfully
          content:
            application/json:
              schema:
                properties:
                  profile:
                    type: object
                  fields:
                    type: array
                    items:
                      type: object
                  profilePic:
                    type: string
                  donations:
                    type: array
                    items:
                      type: object
                  entity:
                    type: object
                  profileThumb:
                    type: string
                  sponsors:
                    type: array
                    items:
                      type: object
                  programData:
                    type: object
                  submit:
                    type: array
                    items:
                      type: object
                  program:
                    type: object
                  name:
                    type: string
                  settings:
                    type: object
                  details:
                    type: object
                type: object
        '404':
          description: Entity not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Entity Not Found.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````